# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-autobuild
%global srcname sphinx_autobuild

# Missing from pypi sources
%bcond_with docs

Name:           python-%{pypi_name}
Version:        2024.10.3
Release:        %mkrel 2
Summary:        Watch a Sphinx directory, rebuild documentation when change is detected
Group:          Development/Python
License:        MIT
URL:            https://github.com/GaretJax/sphinx-autobuild
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Rebuild Sphinx documentation on changes, with live-reload in the browser.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Rebuild Sphinx documentation on changes, with live-reload in the browser.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files sphinx_autobuild

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README.*
%if %{with docs}
%doc html
%endif
%{_bindir}/sphinx-autobuild


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2024.10.3-2.mga10
+ Revision: 2242543
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 2024.10.3-1.mga10
+ Revision: 2160152
- new version 2024.10.3

* Sun Mar 02 2025 wally <wally> 2021.3.14-2.mga10
+ Revision: 2158716
- rebuild for python3.13

* Wed Dec 27 2023 wally <wally> 2021.3.14-1.mga10
+ Revision: 2022181
- new version 2021.3.14
- use pyproject rpm macros

* Wed Mar 30 2022 umeabot <umeabot> 0.7.1-9.mga9
+ Revision: 1833846
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.7.1-8.mga9
+ Revision: 1782452
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.7.1-7.mga9
+ Revision: 1732997
- Rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 0.7.1-6.mga8
+ Revision: 1671134
- obsolete old python2 pkg also providing sphinx-autobuild
- properly drop bundled egg-info

* Sun Feb 16 2020 umeabot <umeabot> 0.7.1-5.mga8
+ Revision: 1534203
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.7.1-4.mga8
+ Revision: 1447457
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.7.1-3.mga7
+ Revision: 1351268
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.1-2.mga7
+ Revision: 1290188
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.7.1-1.mga7
+ Revision: 1224692
- Fix BRs
- imported package python-sphinx-autobuild

